package miner;

import java.util.ArrayList;

import miner.util.ObjectTuple;

public interface RankingMiner {
	
	public void mine(double t);
	public ArrayList<ArrayList<ObjectTuple>> getFrequent();
	public ArrayList<ArrayList<ObjectTuple>> getClosed();
	public ArrayList<ArrayList<ObjectTuple>> getMaximal();
	
	public int getID(); //To identify the used miner

}
