package util;

public class MemoryMonitor {
	
	Runtime runtime;
	
	long startMemory = 0;
	long memory = 0;
	long maxMemory = 0;
	
	public MemoryMonitor()
	{
		this.runtime = Runtime.getRuntime();
		this.maxMemory = 0;
	}
	
	public void setStartMemory()
	{
		runtime.gc();		
		startMemory = runtime.totalMemory() - runtime.freeMemory();
		maxMemory = startMemory;
	}
	
	public long getStartMemory()
	{
		return this.startMemory;
	}
	
	public void updateMemory()
	{				
		memory = runtime.totalMemory() - runtime.freeMemory();

		if(memory > maxMemory) maxMemory = memory;
	}
	
	public long getMemory()
	{
		return memory - startMemory;
	}
	
	public long getUsedMemory()
	{
		return maxMemory - startMemory;
	}
	
	public void gc()
	{
		runtime.gc();
	}
	
	public long getTotal()
	{
		return runtime.totalMemory();
	}
	
	public long getFree()
	{
		return runtime.freeMemory();
	}

}
